## org.apache.mahout.math.hadoop.similarity.cooccurrence.measures
Class PearsonCorrelationSimilarity

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.CosineSimilarity
          org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.PearsonCorrelationSimilarity

All Implemented Interfaces:
  VectorSimilarityMeasure

    public class PearsonCorrelationSimilarity

extends CosineSimilarity

Field Summary

Fields inherited from interface org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.VectorSimilarityMeasure
`NO_NORM`

Constructor Summary
`PearsonCorrelationSimilarity()`

Method Summary
`Vector` `normalize(Vector vector)`

Methods inherited from class org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.CosineSimilarity
`aggregate, consider, norm, similarity`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PearsonCorrelationSimilarity

    public PearsonCorrelationSimilarity()

Method Detail

### normalize

    public Vector normalize(Vector vector)

  Specified by:
    `normalize` in interface `VectorSimilarityMeasure`
  Overrides:
    `normalize` in class `CosineSimilarity`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.